> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an encryption key

> Deletes an encryption key by UUID.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml delete /encryption-keys/{uuid}
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /encryption-keys/{uuid}:
    delete:
      tags:
        - Encryption Keys
      summary: Delete an encryption key
      description: Deletes an encryption key by UUID.
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````